<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Latest & Popular Articles Panel  v1.1
| Filename: latest_popular_panel.php
| Author: Pisatel
| Support: www.meweb.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

  if (!defined("IN_FUSION")) { die("Access Denied"); }
//settings limit
$lim = '5';

  if (file_exists(INFUSIONS."latest_popular_panel/locale/".$settings['locale'].".php")) {
  include INFUSIONS."latest_popular_panel/locale/".$settings['locale'].".php";
} else {
  include INFUSIONS."latest_popular_panel/locale/English.php";
}
  add_to_head("<link rel='stylesheet' href='".INFUSIONS."latest_popular_panel/images/styles.css' type='text/css'/>\n");
  add_to_head("<script type='text/javascript' src='".INFUSIONS."latest_popular_panel/images/jquery.timeago.js'></script>\n");
  if (file_exists(INFUSIONS."latest_popular_panel/images/jquery.timeago.".$settings['locale'].".js")) {
  add_to_head("<script type='text/javascript' src='".INFUSIONS."latest_popular_panel/images/jquery.timeago.".$settings['locale'].".js'></script>
\n");
} else {
  add_to_head("<script type='text/javascript' src='".INFUSIONS."latest_popular_panel/images/jquery.timeago.English.js'></script>
\n");
}
  add_to_head("<script type='text/javascript'>
$(document).ready(function(){
jQuery('abbr.timeago').timeago();
});
</script>\n");
  opentable($locale['lpap_00']);
  echo "<div class='lborder'>\n";

//latest articles

  echo "<div class='leftblock'><div class='lpp'><strong>".$locale['lpap_01']."</strong></div>\n";

  $qresult = dbquery("SELECT article_id, article_subject, article_snippet, article_reads, article_datestamp FROM ".DB_ARTICLES." ORDER BY article_datestamp DESC LIMIT 0,".$lim);
  if (dbrows($qresult)){
  $i = 0;
  while($data = dbarray($qresult)){
  $icon = ($data['article_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) ? "<img src='".INFUSIONS."latest_popular_panel/images/new.png' alt='".$data['article_subject']."' />" : "<img src='".INFUSIONS."latest_popular_panel/images/article.png' alt='".$data['article_subject']."' />";
  echo "<div class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'>".$icon."<a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".trimlink($data['article_subject'], 50)."</a><div class='news-body'>".trimlink(strip_tags(stripslashes(parseubb($data['article_snippet']))), 100)."</div><div class='small smnum'>".$locale['global_049'].": <abbr class='timeago' title='".showdate("%d %b %Y", $data['article_datestamp'])."'></abbr>&nbsp;&nbsp;".$locale['global_074'].": ".$data['article_reads']."</div></div>\n";
  $i++;
}

} else {
  echo "<div class='lpp lppcenter'>".$locale['global_031']."</div>\n";
}
  echo "</div>\n";

//popular articles

  echo "<div class='rightblock'><div class='lpp'><strong>".$locale['lpap_02']."</strong></div>\n";
  $qresult=dbquery("SELECT article_id, article_subject, article_snippet, article_reads, article_datestamp FROM ".DB_ARTICLES." ORDER BY article_reads DESC LIMIT ".$lim);
  if (dbrows($qresult)){
  $i = 0;
  while($data=dbarray($qresult)){
  echo "<div class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'><img src='".INFUSIONS."latest_popular_panel/images/article1.png' alt='".$data['article_subject']."' /><a target='_self' href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".trimlink($data['article_subject'], 50)."</a><div class='news-body'>".trimlink(strip_tags(stripslashes(parseubb($data['article_snippet']))), 100)."</div><div class='small smnum'>".$locale['global_049'].": <abbr class='timeago' title='".showdate("%d %b %Y", $data['article_datestamp'])."'></abbr>&nbsp;&nbsp;".$locale['global_074'].": ".$data['article_reads']."</div></div>\n";
  $i++;
}
}
 else {
  echo "<div class='lpp lppcenter'>".$locale['global_031']."</div>\n";
}

  echo "</div>";

// all articles, all categories

  echo "<div class='lpp lppcenter'>".$locale['lpap_09']."  <strong>".number_format(dbcount("(article_id)", DB_ARTICLES))."</strong> &nbsp;&nbsp;&nbsp; ".$locale['lpap_10']."  <strong>".number_format(dbcount("(article_cat_id)", DB_ARTICLE_CATS))."</strong></div>\n";

  echo "</div>\n";

  closetable();

?>